Index: webapp/cms/plugins/news/pages/services/calendar/calendar.xsl
===================================================================
--- webapp/cms/plugins/news/pages/services/calendar/calendar.xsl	(revision 9137)
+++ webapp/cms/plugins/news/pages/services/calendar/calendar.xsl	(working copy)
@@ -25,194 +25,257 @@
     xmlns:escaper="org.apache.commons.lang.StringEscapeUtils"
     extension-element-prefixes="resolver exsl math escaper page">
     
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+        
+    <!-- TODO -->    
     <xsl:param name="cms-context"/>
+    <!-- TODO -->
     <xsl:param name="contextPath"/>
+    <!-- TODO -->
     <xsl:param name="prefix"/>
+    <!-- TODO -->
     <xsl:param name="plugin"/>
+    <!-- TODO -->
     <xsl:param name="site"/>
+    <!-- TODO -->
     <xsl:param name="lang"/>
+    <!-- TODO -->
     <xsl:param name="title"/>
+    <!-- TODO -->
     <xsl:param name="months-before">3</xsl:param>
+    <!-- TODO -->
     <xsl:param name="months-after">3</xsl:param>
+    <!-- TODO -->
     <xsl:param name="contents-on-same-page"/>
+    <!-- TODO -->
     <xsl:param name="link"/>
+    <!-- TODO -->
     <xsl:param name="link-title"/>
     
     <xsl:variable name="uniqueId" select="substring-after(math:random(), '.')"/>
     
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">events-calendar</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/events/contents)"/>    
+
+    <xsl:variable name="tags-parameters">
+        <xsl:for-each select="events/tags/tag">
+            <xsl:if test="position() &gt; 1">&amp;</xsl:if>
+            <xsl:text>tag=</xsl:text>
+            <xsl:value-of select="@name"/>
+        </xsl:for-each>
+    </xsl:variable>
+    <xsl:variable name="tags-path">
+        <xsl:for-each select="events/tags/tag">
+            <xsl:if test="position() &gt; 1">%20</xsl:if>
+            <xsl:value-of select="@name"/>
+        </xsl:for-each>
+    </xsl:variable>
+    
+    
+    <!-- +
+         | ROOT TEMPLATE
+         + -->    
     <xsl:template match="/">
-        <xsl:variable name="tags-parameters">
-            <xsl:for-each select="events/tags/tag">
-                <xsl:if test="position() &gt; 1">&amp;</xsl:if>
-                <xsl:text>tag=</xsl:text>
-                <xsl:value-of select="@name"/>
-            </xsl:for-each>
-        </xsl:variable>
-        <xsl:variable name="tags-path">
-            <xsl:for-each select="events/tags/tag">
-                <xsl:if test="position() &gt; 1">%20</xsl:if>
-                <xsl:value-of select="@name"/>
-            </xsl:for-each>
-        </xsl:variable>
-        <html>
-            <head>
-                <script type="text/javascript">
-                var events<xsl:value-of select="$uniqueId"/> = [];
-                var baseUrl = '<xsl:value-of select="concat($contextPath, '/plugins/', $plugin, '/', $site, '/', $lang, '/')"/>';
-                var samePage<xsl:value-of select="$uniqueId"/> = <xsl:value-of select="$contents-on-same-page"/>;
-                
-                <xsl:apply-templates select="events/contents/event[pages/page]" mode="calendar"/>
-                
-                var beforeShowDay<xsl:value-of select="$uniqueId"/> = function(date)
+         <xsl:call-template name="common-service"/> 
+    </xsl:template>
+    
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-js">
+        <script type="text/javascript">
+        var events<xsl:value-of select="$uniqueId"/> = [];
+        var baseUrl = '<xsl:value-of select="concat($contextPath, '/plugins/', $plugin, '/', $site, '/', $lang, '/')"/>';
+        var samePage<xsl:value-of select="$uniqueId"/> = <xsl:value-of select="$contents-on-same-page"/>;
+        
+        <xsl:apply-templates select="events/contents/event[pages/page]" mode="calendar"/>
+        
+        var beforeShowDay<xsl:value-of select="$uniqueId"/> = function(date)
+        {
+            var events = events<xsl:value-of select="$uniqueId"/>;
+            var eventsCount = 0;
+            for (var i = 0; i &lt; events.length; i++)
+            {
+                if (isEvent(date, events[i]))
                 {
-                    var events = events<xsl:value-of select="$uniqueId"/>;
-                    var eventsCount = 0;
-                    for (var i = 0; i &lt; events.length; i++)
-                    {
-                        if (isEvent(date, events[i]))
-                        {
-                            eventsCount++;
-                        }
-                    }
-                    
-                    return [eventsCount &gt; 0, '', '<i18n:text i18n:key="NEWS_SERVICE_CALENDAR_EVENTS_COUNT"/> ' + eventsCount];
+                    eventsCount++;
                 }
+            }
+            
+            return [eventsCount &gt; 0, '', '<i18n:text i18n:key="NEWS_SERVICE_CALENDAR_EVENTS_COUNT"/> ' + eventsCount];
+        }
+        
+        var onSelect<xsl:value-of select="$uniqueId"/> = function(dateText, inst)
+        {
+            var events = events<xsl:value-of select="$uniqueId"/>;
+            
+            var date = $j.datepicker.parseDate('yy-mm-dd', dateText);
+            
+            if (samePage<xsl:value-of select="$uniqueId"/>)
+            {
+                var html = '';
                 
-                var onSelect<xsl:value-of select="$uniqueId"/> = function(dateText, inst)
+                for (var i = 0; i &lt; events.length; i++)
                 {
-                    var events = events<xsl:value-of select="$uniqueId"/>;
-                    
-                    var date = $j.datepicker.parseDate('yy-mm-dd', dateText);
-                    
-                    if (samePage<xsl:value-of select="$uniqueId"/>)
-                    {
-                        var html = '';
-                        
-                        for (var i = 0; i &lt; events.length; i++)
-                        {
-                            if (isEvent(date, events[i]))
-                            {
-                                var id = 'event-<xsl:value-of select="$uniqueId"/>-' + events[i].eventId;
-                                html += $j('#' + id).html();
-                            }
-                        }
-                        
-                        if (html != '')
-                        {
-                            $j("#day-events-<xsl:value-of select="$uniqueId"/> .date").html($j.datepicker.formatDate('d MM yy', date));
-                            $j("#day-events-<xsl:value-of select="$uniqueId"/> .list").html(html);
-                            $j('.events').show();
-                        }
-                        else
-                        {
-                            $j('.events').hide();
-                        }
-                    }
-                    else
+                    if (isEvent(date, events[i]))
                     {
-                        var dateStr = $j.datepicker.formatDate('yy/mm/dd', date);
-                        var eventsUrl = '<xsl:value-of select="concat($cms-context, '/', $lang, '/_plugins/', $plugin, '/page/')"/>' + dateStr + '/' + encodeURIComponent(encodeURIComponent('<xsl:value-of select="/events/@zoneItemId"/>')) + '/events.html';
-                        document.location.href = eventsUrl;
+                        var id = 'event-<xsl:value-of select="$uniqueId"/>-' + events[i].eventId;
+                        html += $j('#' + id).html();
                     }
                 }
                 
-                var isEvent = function(date, event)
+                if (html != '')
                 {
-                    var isEvent = false;
-                    
-                    var start = $j.datepicker.parseDate('yy-mm-dd', event.start);
-                    var end = $j.datepicker.parseDate('yy-mm-dd', event.end);
-                    
-                    if (start == null &amp;&amp; end != null)
-                    {
-                        isEvent = date.getFullYear() == end.getFullYear() &amp;&amp; date.getMonth() == end.getMonth() &amp;&amp; date.getDate() == end.getDate();
-                    }
-                    else if (start != null &amp;&amp; end == null)
-                    {
-                        isEvent = date.getFullYear() == start.getFullYear() &amp;&amp; date.getMonth() == start.getMonth() &amp;&amp; date.getDate() == start.getDate();
-                    }
-                    else if (start != null &amp;&amp; end != null)
-                    {
-                        isEvent = (date.getTime() &gt;= start.getTime() &amp;&amp; date.getTime() &lt;= end.getTime());
-                    }
-                    
-                    return isEvent;
+                    $j("#day-events-<xsl:value-of select="$uniqueId"/> .date").html($j.datepicker.formatDate('d MM yy', date));
+                    $j("#day-events-<xsl:value-of select="$uniqueId"/> .list").html(html);
+                    $j('.events').show();
                 }
-                
-                $j(function() {
-                    $j("#all-events-<xsl:value-of select="$uniqueId"/>").hide();
-                    $j("#calendar-<xsl:value-of select="$uniqueId"/>").datepicker({
-                        <!-- Range -->
-                        minDate: '-<xsl:value-of select="$months-before"/>M',
-                        maxDate: '+<xsl:value-of select="$months-after"/>M',
-                        <!-- Date format -->
-                        dateFormat: 'yy-mm-dd',
-                        <!-- Event handlers. -->
-                        beforeShowDay: beforeShowDay<xsl:value-of select="$uniqueId"/>,
-                        onSelect: onSelect<xsl:value-of select="$uniqueId"/>
-                    });
-                });
-                </script>
-            </head>
+                else
+                {
+                    $j('.events').hide();
+                }
+            }
+            else
+            {
+                var dateStr = $j.datepicker.formatDate('yy/mm/dd', date);
+                var eventsUrl = '<xsl:value-of select="concat($cms-context, '/', $lang, '/_plugins/', $plugin, '/page/')"/>' + dateStr + '/' + encodeURIComponent(encodeURIComponent('<xsl:value-of select="/events/@zoneItemId"/>')) + '/events.html';
+                document.location.href = eventsUrl;
+            }
+        }
+        
+        var isEvent = function(date, event)
+        {
+            var isEvent = false;
+            
+            var start = $j.datepicker.parseDate('yy-mm-dd', event.start);
+            var end = $j.datepicker.parseDate('yy-mm-dd', event.end);
+            
+            if (start == null &amp;&amp; end != null)
+            {
+                isEvent = date.getFullYear() == end.getFullYear() &amp;&amp; date.getMonth() == end.getMonth() &amp;&amp; date.getDate() == end.getDate();
+            }
+            else if (start != null &amp;&amp; end == null)
+            {
+                isEvent = date.getFullYear() == start.getFullYear() &amp;&amp; date.getMonth() == start.getMonth() &amp;&amp; date.getDate() == start.getDate();
+            }
+            else if (start != null &amp;&amp; end != null)
+            {
+                isEvent = (date.getTime() &gt;= start.getTime() &amp;&amp; date.getTime() &lt;= end.getTime());
+            }
             
-            <body id="default">
-                <div class="events-calendar">
-                	<xsl:if test="$title != ''">
-	                    <h1 class="title"><xsl:value-of select="$title"/></h1>
-                	</xsl:if>
-                    <div id="calendar-{$uniqueId}"/>
-                    <div id="day-events-{$uniqueId}" class="events" style="display:none">
-                        <h2>
-                            <span class="date">
-                                <!-- Day placeholder -->
+            return isEvent;
+        }
+        
+        $j(function() {
+            $j("#all-events-<xsl:value-of select="$uniqueId"/>").hide();
+            $j("#calendar-<xsl:value-of select="$uniqueId"/>").datepicker({
+                <!-- Range -->
+                minDate: '-<xsl:value-of select="$months-before"/>M',
+                maxDate: '+<xsl:value-of select="$months-after"/>M',
+                <!-- Date format -->
+                dateFormat: 'yy-mm-dd',
+                <!-- Event handlers. -->
+                beforeShowDay: beforeShowDay<xsl:value-of select="$uniqueId"/>,
+                onSelect: onSelect<xsl:value-of select="$uniqueId"/>
+            });
+        });
+        </script>
+    </xsl:template>
+
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$title"/>
+        </xsl:call-template>
+        
+        <xsl:call-template name="link-top"/>
+        
+        <xsl:call-template name="calendar"/>
+        
+        <xsl:call-template name="all-news"/>        
+        
+        <xsl:call-template name="link-bottom"/>
+
+    </xsl:template>
+        
+    <xsl:template name="link-top"/>
+    
+    <xsl:template name="link-bottom">
+        <xsl:call-template name="link"/>
+    </xsl:template> 
+    
+    <xsl:template name="link">
+        <xsl:if test="starts-with($link, 'page://')">
+            <xsl:variable name="url" select="resolver:resolve('page', $link)"/>
+            <xsl:if test="$url != ''">
+                <div class="link">
+                    <a href="{$url}">
+                        <xsl:choose>
+                            <xsl:when test="$link-title != ''">
+                                <xsl:value-of select="$link-title"/>
+                            </xsl:when>
+                            <xsl:otherwise>
+                                <xsl:value-of select="page:getTitle($link)"/>
+                            </xsl:otherwise>
+                        </xsl:choose>
+                    </a>
+                </div>
+            </xsl:if>
+        </xsl:if>    
+    </xsl:template>
+
+    <xsl:template name="calendar">    
+        <div id="calendar-{$uniqueId}"/>
+        <div id="day-events-{$uniqueId}" class="events" style="display:none">
+            <xsl:call-template name="news-date"/>
+            <xsl:call-template name="news-list"/>
+        </div>        
+    </xsl:template>
+    
+    <xsl:template name="news-date">
+        <h2>
+            <span class="date">
+                <!-- Day placeholder -->
+            </span>
+        </h2>    
+    </xsl:template>
+
+    <xsl:template name="news-list">
+        <div class="list">
+            <!-- Events placeholder -->
+        </div>    
+    </xsl:template>
+    
+    <xsl:template name="all-news">
+        <xsl:if test="events/contents/event">
+        <div id="all-events-{$uniqueId}">
+            <ul>
+                <xsl:for-each select="events/months/month">
+                    <xsl:if test="/events/contents/event[starts-with(content/metadata/start-date, current()/@str)]">
+                        <li class="month {@str}">
+                            <span>
+                                <i18n:date src-pattern="yyyy-MM-dd'T'hh:mm:ss" pattern="MMMM yyyy" value="{@raw}"/>
                             </span>
-                        </h2>
-                        <div class="list">
-                            <!-- Events placeholder -->
-                        </div>
-                    </div>
-                    <xsl:if test="events/contents/event">
-                    <div id="all-events-{$uniqueId}">
-                        <ul>
-                            <xsl:for-each select="events/months/month">
-                                <xsl:if test="/events/contents/event[starts-with(content/metadata/start-date, current()/@str)]">
-                                    <li class="month {@str}">
-                                        <span>
-                                            <i18n:date src-pattern="yyyy-MM-dd'T'hh:mm:ss" pattern="MMMM yyyy" value="{@raw}"/>
-                                        </span>
-                                        <ul>
-                                            <xsl:for-each select="/events/contents/event[starts-with(content/metadata/start-date, current()/@str)]">
-                                                <li id="event-{$uniqueId}-{substring-after(content/@id, '//')}" class="event">
-                                                    <xsl:copy-of select="view/content/html/body/node()"/>
-                                                </li>
-                                            </xsl:for-each>
-                                        </ul>
+                            <ul>
+                                <xsl:for-each select="/events/contents/event[starts-with(content/metadata/start-date, current()/@str)]">
+                                    <li id="event-{$uniqueId}-{substring-after(content/@id, '//')}" class="event">
+                                        <xsl:copy-of select="view/content/html/body/node()"/>
                                     </li>
-                                </xsl:if>
-                            </xsl:for-each>
-                        </ul>
-                    </div>
+                                </xsl:for-each>
+                            </ul>
+                        </li>
                     </xsl:if>
-                    <xsl:if test="starts-with($link, 'page://')">
-                        <xsl:variable name="url" select="resolver:resolve('page', $link)"/>
-                        <xsl:if test="$url != ''">
-                            <div class="link">
-                                <a href="{$url}">
-                                    <xsl:choose>
-                                        <xsl:when test="$link-title != ''">
-                                            <xsl:value-of select="$link-title"/>
-                                        </xsl:when>
-                                        <xsl:otherwise>
-                                        	<xsl:value-of select="page:getTitle($link)"/>
-                                        </xsl:otherwise>
-                                    </xsl:choose>
-                                </a>
-                            </div>
-                        </xsl:if>
-                    </xsl:if>
-                </div>
-            </body>
-        </html>
+                </xsl:for-each>
+            </ul>
+        </div>
+        </xsl:if>
     </xsl:template>
     
     <xsl:template match="event" mode="calendar">
Index: webapp/cms/plugins/cms/stylesheets/helper/common.xsl
===================================================================
--- webapp/cms/plugins/cms/stylesheets/helper/common.xsl	(revision 9137)
+++ webapp/cms/plugins/cms/stylesheets/helper/common.xsl	(working copy)
@@ -122,14 +122,12 @@
 		
 		<xsl:param name="value-name">captcha-value</xsl:param>
 		<xsl:param name="value-id" select="concat('id', substring-after(math:random(), '.'))"/>
-		<xsl:param name="value-style"/>
 		<xsl:param name="value-class"/>
 		
 		<xsl:param name="image-id" select="concat('id', substring-after(math:random(), '.'))"/>
 		<xsl:param name="image-alt"/>
 		<xsl:param name="image-alt-i18n" select="false()"/>
 		<xsl:param name="image-alt-catalogue"/>
-		<xsl:param name="image-style"/>
 		<xsl:param name="image-class"/>
 		
 		<xsl:param name="allow-refresh" select="true()"/>
@@ -141,9 +139,7 @@
 		
 			<input type="hidden" name="{$key-name}" id="{$key-id}" value="{$id}"/>
 			
-			<input type="text" name="{$value-name}" maxlength="6" id="{$value-id}" style="{$value-style}" class="{$value-class}"/>
-			
-			<img style="{$image-style}" class="{$image-class}" src="{$contextPath}/plugins/cms/captcha/{$id}/image.png" id="{$image-id}">
+            <img class="{$image-class}" src="{$contextPath}/plugins/cms/captcha/{$id}/image.png" id="{$image-id}">
                 <xsl:attribute name="alt">
                     <xsl:if test="$image-alt-i18n and $image-alt-catalogue != ''">
                         <xsl:value-of select="$image-alt-catalogue"/>
@@ -151,16 +147,19 @@
                     </xsl:if>
                     <xsl:value-of select="$image-alt"/>
                 </xsl:attribute>
-				<xsl:if test="$image-alt-i18n"><xsl:attribute name="i18n:attr">alt</xsl:attribute></xsl:if>
-			</img>
+                <xsl:if test="$image-alt-i18n"><xsl:attribute name="i18n:attr">alt</xsl:attribute></xsl:if>
+            </img>
+            
+            <div class="image-captcha-help"><i18n:text i18n:key="PLUGINS_CMS_CONTENT_CAPTCHA_REFRESH_NOSCRIPT" i18n:catalogue="plugin.cms"/></div>
+            			
+            <input type="text" name="{$value-name}" maxlength="6" id="{$value-id}" class="{$value-class}"/>
 			
-			<div class="image-captcha-help"><i18n:text i18n:key="PLUGINS_CMS_CONTENT_CAPTCHA_REFRESH_NOSCRIPT" i18n:catalogue="plugin.cms"/></div>
 		</noscript>
 		
 		<script type="text/javascript">
 			document.write("&lt;input type=\"hidden\" name=\"<xsl:value-of select='$key-name'/>\" id=\"<xsl:value-of select="$key-id"/>\"/&gt;")
-			document.write("&lt;input type=\"text\" name=\"<xsl:value-of select='$value-name'/>\" id=\"<xsl:value-of select="$value-id"/>\" style=\"<xsl:value-of select="$value-style"/>\" class=\"<xsl:value-of select="$value-class"/>\"/ autocomplete=\"off\"&gt;")
-			document.write("&lt;img style=\"<xsl:value-of select="$image-style"/>\" class=\"<xsl:value-of select="$image-class"/>\" alt=\"<xsl:choose><xsl:when test="$image-alt-i18n"><i18n:text i18n:key="{$image-alt}"><xsl:if test="$image-alt-catalogue != ''"><xsl:attribute name="i18n:catalogue"><xsl:value-of select="$image-alt-catalogue"/></xsl:attribute></xsl:if></i18n:text></xsl:when><xsl:otherwise><xsl:value-of select="$image-alt"/></xsl:otherwise></xsl:choose>\" id=\"<xsl:value-of select="$image-id"/>\" src=\"\"/&gt;");
+            document.write("&lt;img class=\"<xsl:value-of select="$image-class"/>\" alt=\"<xsl:choose><xsl:when test="$image-alt-i18n"><i18n:text i18n:key="{$image-alt}"><xsl:if test="$image-alt-catalogue != ''"><xsl:attribute name="i18n:catalogue"><xsl:value-of select="$image-alt-catalogue"/></xsl:attribute></xsl:if></i18n:text></xsl:when><xsl:otherwise><xsl:value-of select="$image-alt"/></xsl:otherwise></xsl:choose>\" id=\"<xsl:value-of select="$image-id"/>\" src=\"\"/&gt;")
+            document.write("&lt;input type=\"text\" name=\"<xsl:value-of select='$value-name'/>\" id=\"<xsl:value-of select="$value-id"/>\" class=\"<xsl:value-of select="$value-class"/>\"/ autocomplete=\"off\"&gt;");
 			<xsl:if test="$allow-refresh = true()">
 				document.write("&lt;button title=\"<i18n:text i18n:key="PLUGINS_CMS_CONTENT_CAPTCHA_REFRESH_ALT" i18n:catalogue="plugin.cms"/>\" class=\"captcha-refresh-btn\" onclick=\"<xsl:value-of select="$js-funcname-torefresh"/>(false); return false;\"&gt;&lt;span&gt;<i18n:text i18n:key="PLUGINS_CMS_CONTENT_CAPTCHA_REFRESH" i18n:catalogue="plugin.cms"/>&lt;/span&gt;&lt;/button&gt;");
 			</xsl:if>
